{
  ----------------------------------
  Filename      : T2.PAS
  Created       : 22/02/2000
  Last modified : 09/05/2000
  Target        : Turbo Pascal 7.0
  Author        : Sven Maerivoet
 
  All rights reserved.
  Universitaire Instelling Antwerpen
  ----------------------------------
}

Unit T2;
Interface

Var
  T2Y,
  T2YMin,
  T2YMax  : Integer;

Procedure T2Sample;
Procedure T2Calibrate;

Implementation

Uses
  Crt;

Procedure T2Sample;
Var
  TempY : Word;
Begin
  Asm
    MOV AH,84H
    MOV DX,01H
    INT 15H
    MOV TempY,BX
  End;
  T2Y := TempY;
End;

Procedure T2Calibrate;
Var
  Ch : Char;
Begin
  WriteLn ('Calibrating...');
  WriteLn;
  WriteLn('  => Apply maximum brakes (no throttle !) and press a key...');
  Repeat
    T2Sample;
    T2YMax := T2Y;
  Until KeyPressed;
  WriteLn;

  { preserve invariance }
  Ch := ReadKey;

  WriteLn('  => Release brakes (no throttle !) and press a key...');
  Repeat
    T2Sample;
    T2YMin := T2Y;
  Until KeyPressed;
  WriteLn;

  { preserve invariance }
  Ch := ReadKey;
End;

End.
